# gdcm::RAWCodec Class Reference

RAWCodec class. More...

`#include <gdcmRAWCodec.h>`

Inheritance diagram for gdcm::RAWCodec:
[legend]
Collaboration diagram for gdcm::RAWCodec:
[legend]

List of all members.

## Public Member Functions
| RAWCodec ()
| ~RAWCodec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it).
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it).
bool | Code (DataElement const &in, DataElement &out)
| Code.
bool | Decode (DataElement const &is, DataElement &os)
| Decode.
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
## Protected Member Functions
bool | Decode (std::istream &is, std::ostream &os)

## Detailed Description

RAWCodec class.

## Constructor & Destructor Documentation

gdcm::RAWCodec::RAWCodec | ( |  | ) |

gdcm::RAWCodec::~RAWCodec | ( |  | ) |

## Member Function Documentation

bool gdcm::RAWCodec::CanCode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this coder support this transfer syntax (can code it).

Implements gdcm::Coder.

bool gdcm::RAWCodec::CanDecode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this decoder support this transfer syntax (can decode it).

Reimplemented from gdcm::ImageCodec.

bool gdcm::RAWCodec::Code | ( | DataElement const & | in,
|  | DataElement & | out |
| ) |  |  | `[virtual]`

Code.

Reimplemented from gdcm::Coder.

bool gdcm::RAWCodec::Decode | ( | std::istream & | is,
|  | std::ostream & | os |
| ) |  |  | `[protected, virtual]`

Reimplemented from gdcm::ImageCodec.

bool gdcm::RAWCodec::Decode | ( | DataElement const & | is,
|  | DataElement & | os |
| ) |  |  | `[virtual]`

Decode.

Reimplemented from gdcm::ImageCodec.

bool gdcm::RAWCodec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts |
| ) |  |  | `[virtual]`

Reimplemented from gdcm::ImageCodec.

The documentation for this class was generated from the following file:

- gdcmRAWCodec.h